Subject: Re: Issue with GIT server

From: Andreas Ericsson <[email-masked]>
Date: Thu, 04 Sep 2008 12:41:54 +0200

Dutta, Ranjan wrote:
> Hello,
> 
> I am facing the following issue with GIT server running on Ubuntu 8.04
> using an http interface (apache2)..
> 
> When I try to push code at the GIT client end
> 
> 1. git-add(s)
> 2. git-commit
> 3. sudo git push upload master
> 
> I get this error - 
> 
> error: http-push died with strange error
> error: failed to push some refs to 'http://<usernaM@<server ip
> address>/<git_dir>/'
> 
> Any pointers as to how to debug this further ?
> 

To start with, you needn't use "sudo" to run git push.

Besides that, I'm guessing it's a permission error on the server,
so that the apache user (or whatever user your webserver is running
as) can't write to the files it needs to write to.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231